Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
recvfrom_arg Struct Reference

## Data Fields
int | fd
int | flags
VALUE | str
socklen_t | alen
struct sockaddr_storage | buf

## Detailed Description

Definition at line 90 of file init.c.

## Field Documentation

socklen_t recvfrom_arg::alen

Definition at line 93 of file init.c.

Referenced by recvfrom_blocking(), and rsock_s_recvfrom().

struct sockaddr_storage recvfrom_arg::buf

Definition at line 94 of file init.c.

Referenced by recvfrom_blocking(), and rsock_s_recvfrom().

int recvfrom_arg::fd

Definition at line 91 of file init.c.

Referenced by recvfrom_blocking(), and rsock_s_recvfrom().

int recvfrom_arg::flags

Definition at line 91 of file init.c.

Referenced by recvfrom_blocking(), and rsock_s_recvfrom().

VALUE recvfrom_arg::str

Definition at line 92 of file init.c.

Referenced by recvfrom_blocking(), and rsock_s_recvfrom().

The documentation for this struct was generated from the following file:

- ext/socket/init.c